﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;
//- 프로그램을 사용하는 회사 이름을 설정할 수 있다.
//- 도서를 추가할 수 있다.
//    도서명, 저자명, 보유 도서를 입력 인자로 받아 도서 개체를 생성한다.
//- 도서를 입고할 수 있다.
//    도서명으로 도서를 검색한 후에 입고 도서 개수를 입력받는다.
//    해당 도서 개체의 보유 도서 개수를 변경한다.
//- 도서를 출고할 수 있다.
//    도서명으로 도서를 검색한 후에 출고 도서 개수를 입력받는다.
//    해당 도서 개체의 보유 도서 개수를 변경한다.
//- 도서를 삭제할 수 있다.
//    도서명으로 도서를 검색한 후에 해당 도서 개체를 삭제한다.
//- 리셋할 수 있다.
//    모든 보유 도서를 삭제한다.
//- 저장할 수 있다.
//    현재 모든 데이터를 XML문서로 저장한다.
//- 로딩할 수 있다.
//    XML문서를 선택하여 로딩하여 모든 정보를 로딩할 수 있다.

namespace 도서관리프로그램_XmlDocument__테스트
{
    class Program
    {
        static void Main(string[] args)
        {
            BookManager BM = BookManager.BM;
            BM.CompanyName="언제나 휴일";
            BM.AddBook("C언어", "홍길동", 20);
            BM.AddBook("XML.NET", "홍길순", 10);
            ViewBM(BM);

            BM.InBook("C언어", 10);
            ViewBM(BM);

            BM.OutBook("C언어", 15);
            ViewBM(BM);

            BM.Remove("C언어");
            ViewBM(BM);
            BM.Reset();
            ViewBM(BM);

            BM.AddBook("CS", "강감찬", 15);
            BM.AddBook("XML.NET", "홍길순", 10);
            ViewBM(BM);
            BM.Save("data.xml");
            ViewBM(BM);

            BM.Reset();
            BM.Load("data.xml");
            ViewBM(BM);
        }

        private static void ViewBM(BookManager BM)
        {
            Console.WriteLine("회사명:{0}", BM.CompanyName);
            foreach(Book book in BM.Books)
            {
                Console.WriteLine("제목:{0} 저자:{1} 보유도서수:{2}",
                    book.Title, book.Author,book.Count);
            }
        }
    }
}
